%% demo4

%%

clear
g = rgb2gray(imread('cropped_target.jpg'));
imshow(g);


%% histogram

imhist(g);

%% graythresh and im2bw
% level = graythresh(I) computes a global threshold (level) that 
% can be used to convert an intensity image to a binary image with im2bw. 
% level is a normalized intensity value that lies in the range [0, 1].
%
%The graythresh function uses Otsu's method, which chooses the threshold
% to minimize the intraclass variance of the black and white pixels.

level = graythresh(g);
fprintf('threshold %g\n',level);

%% convert to bw image

BW = im2bw(g,level);
imshow(BW);

%% bwconncomp
% CC = bwconncomp(BW) returns the connected components CC found in BW. 
% The binary image BW can have any dimension. 
% CC is a structure with four fields.

CC = bwconncomp(~BW);
disp(CC)

%%


stats = regionprops(CC)


area = [stats.Area]


%% labelmatrix
% L = labelmatrix(CC) creates a label matrix from the connected components 
% structure CC returned by bwconncomp. The size of L is CC.ImageSize. 
% The elements of L are integer values greater than or equal to 0. 

L = labelmatrix(CC);

%% label2rgb
% RGB = label2rgb(L) converts a label matrix into an RGB color image 
% for the purpose of visualizing the labeled regions. 

RGB = label2rgb(L);
imshow(RGB);



